org.eclipse.eef.core.api.controllers

## Class EEFControllersFactory

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.EEFControllersFactory

    public class EEFControllersFactory
    extends java.lang.Object

This factory will be used to create the controllers.

### Constructor Summary

Constructors
Constructor and Description
`EEFControllersFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IEEFButtonController` `createButtonController(EEFButtonDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new button controller.
`IEEFCheckboxController` `createCheckboxController(EEFCheckboxDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new checkbox controller.
`IEEFGroupController` `createGroupController(EEFGroupDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)` Creates a new group controller.
`IEEFHyperlinkController` `createHyperlinkController(EEFHyperlinkDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new hyperlink controller.
`IEEFLabelController` `createLabelController(EEFLabelDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new label controller.
`IEEFListController` `createListController(EEFListDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a list controller.
`IEEFRadioController` `createRadioController(EEFRadioDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new radio controller.
`IEEFSectionController` `createSectionController(EEFPageDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)` Creates a section controller.
`IEEFSelectController` `createSelectController(EEFSelectDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new select controller.
`IEEFTextController` `createTextController(EEFTextDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Creates a new text controller.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFControllersFactory

    public EEFControllersFactory()

### Method Detail

#### createGroupController

    public IEEFGroupController createGroupController(EEFGroupDescription description,
                                                     org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                     org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)

Creates a new group controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
Returns:
  The group controller

#### createTextController

    public IEEFTextController createTextController(EEFTextDescription description,
                                                   org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                   org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                   EditingContextAdapter contextAdapter)

Creates a new text controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A text controller

#### createLabelController

    public IEEFLabelController createLabelController(EEFLabelDescription description,
                                                     org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                     org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                     EditingContextAdapter contextAdapter)

Creates a new label controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The context adapter
Returns:
  A label controller

#### createButtonController

    public IEEFButtonController createButtonController(EEFButtonDescription description,
                                                       org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                       org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                       EditingContextAdapter contextAdapter)

Creates a new button controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A button controller

#### createSelectController

    public IEEFSelectController createSelectController(EEFSelectDescription description,
                                                       org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                       org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                       EditingContextAdapter contextAdapter)

Creates a new select controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A label controller

#### createCheckboxController

    public IEEFCheckboxController createCheckboxController(EEFCheckboxDescription description,
                                                           org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                           org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                           EditingContextAdapter contextAdapter)

Creates a new checkbox controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A checkbox controller

#### createRadioController

    public IEEFRadioController createRadioController(EEFRadioDescription description,
                                                     org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                     org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                     EditingContextAdapter contextAdapter)

Creates a new radio controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A radio controller

#### createSectionController

    public IEEFSectionController createSectionController(EEFPageDescription description,
                                                         org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                         org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)

Creates a section controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
Returns:
  The section controller.

#### createListController

    public IEEFListController createListController(EEFListDescription description,
                                                   org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                   org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                   EditingContextAdapter contextAdapter)

Creates a list controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  The list controller.

#### createHyperlinkController

    public IEEFHyperlinkController createHyperlinkController(EEFHyperlinkDescription description,
                                                             org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                                             org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                             EditingContextAdapter contextAdapter)

Creates a new hyperlink controller.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  A hyperlink controller